# **How to use the Jikan API-based search engine**

_This search engine was built using React.js and the Jikan API, which provides access to anime and manga data._ <br>
_It allows the user to search for anime and manga, get autocomplete results, and highlight matches in the search results._<br>
_The search engine is also optimized for mobile devices._

## **To run this application on your computer, follow these steps:**

### 1) **Clone the repository to your local computer.**

<br>

```
git clone git@gitlab.com:roman.ishutov/google.git
```

### 2) **Install the necessary dependencies by running the following command in the project folder in your terminal.**

<br>

```
npm install
```

### 3) **Start the application by running the following command in your terminal.**

<br>

```
npm start
```

### 4) **Once the application has started, open your web browser and go to http://localhost:3000.**

<br>

### **You can also open the app from this link**

<br>

[Live demo](https://search-jet.vercel.app/)

<br>

_You can use this search engine by entering queries in the search box on the home page._ <br> _Results will appear with autocomplete and highlighted matches._<br> _If you are using a mobile device, the search engine will be optimized for your device._<br>
<br>

_If you encounter any issues or errors, please contact us for assistance. Thank you for using our search engine!_ <br>
<br>

## **If we had more time to optimize and expand our application, we could use the following technologies:**

- Split logic in more detail for components.

- TypeScript: for adding typing and improving the security of our code.

- Styled Components: for better management of styles and components in React.js.

- Server-side rendering: for faster page loading and improved SEO.

- Firebase: for managing authentication, database, and hosting of our application.

### **These technologies will help us improve the performance, security, scalability, and functionality of our application in the future.**
